{
  // Hover over a setting to see what it does
  "[python]": {
    "editor.formatOnSave": true,
    "editor.rulers": [100],
    "editor.defaultFormatter": "ms-python.black-formatter",
    "editor.codeActionsOnSave": {
      "source.organizeImports": "explicit"
    }
  },
  "jupyter.notebookFileRoot": "${workspaceFolder}"
}
